Wii will only play games through backup launcher

Discussion in 'Wii - Hacking' started by hattster, Aug 6, 2009.

Aug 6, 2009
  1. hattster
    OP

    Newcomer hattster Newbie

    Joined:
    Aug 6, 2009
    Messages:
    5
    Country:
    Canada
    So I have a D2Pro modchip installed on my wii and it has worked fine for months with both backup and retail games until recently. I had went away from playing the Wii for a few months and when a game was finally released worth playing my Wii would simply say "Unable to read disc.. refer to wii operation manual." So I tried with many other backups and retail games that worked in the past and they all came up with same error. So I figured my DVD drive was fucked but luckily I had installed the homebrew channel previously, so I figured I could just play games from a USB Drive. Well long story short that didn't work because of HDD compatability but I did however discover that my drive can in fact read discs because it played a DVD through MCPlayer.

    So I loaded up backup launcher, low and behold it played games fine with that but for whatever reason the Wii will not play games through the disc channel. This is a real big pain in the ass and I hope somebody can explain to me what the problem is.

    Thanks,
     
  2. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    Did you try using a game disc from Nintendo in the backup launcher?? Or just backup burned discs??
     
  3. hattster
    OP

    Newcomer hattster Newbie

    Joined:
    Aug 6, 2009
    Messages:
    5
    Country:
    Canada
    No not yet unfortunately the few that I did have i lent to a friend.
     
  4. phrozenfeonix

    Newcomer phrozenfeonix Member

    Joined:
    Oct 28, 2008
    Messages:
    46
    Country:
    United States
    Border-line piracy talk...

    If you are making backups, they by legal definition are of games that you own and keep. When you sell, trade, or otherwise, and no longer have the original, the backup becomes a pirated disc.

    IRRegardless (sic) do you have any nand backups you could try reloading? Back up your present nand (for your game saves), and then restore your previous nand, and see if that helps.
     
  5. freezeburn

    Newcomer freezeburn Member

    Joined:
    Dec 13, 2006
    Messages:
    40
    Country:
    United States
    i was having the same issue on my nephews wii but his wii wouldn't play originall or backups on disk channel because he updated from softmoded 3.2u to 4.0u, I knew the drive was working because I could rip a game to my hdd using the wii so I took a chance and updated to 4.1 using waninkos fw and then installed CIOSCORP 3.1 and now he is again able to play any original game on his wii. The side effect to that is that not all burned games work, mario kart and the conduit play fine while guitar hero smash hits gets error reading disk please read owners manual.
     
  6. hattster
    OP

    Newcomer hattster Newbie

    Joined:
    Aug 6, 2009
    Messages:
    5
    Country:
    Canada
    unfortunately I don't have any NAND backups of my Wii. Is there anything else that I can try?
     
  7. Unfortune

    Member Unfortune GBAtemp Fan

    Joined:
    May 10, 2009
    Messages:
    342
    Location:
    Alberta, Canada
    Country:
    Pakistan
    Install cIOScorp v1. (pm me for files)

    If you have any backup dual layer games, you will need preloader and a slightly modified cIOScorp v2. (also pm me for it!)

    There has been problems like this with D2Pro somewhere on another forum(forget which one)... You should have just gotten WiiKey!
     
  8. hattster
    OP

    Newcomer hattster Newbie

    Joined:
    Aug 6, 2009
    Messages:
    5
    Country:
    Canada
    Yah a Wiikey would have been nice to bad my wii didn't support it.
     
  9. hattster
    OP

    Newcomer hattster Newbie

    Joined:
    Aug 6, 2009
    Messages:
    5
    Country:
    Canada
    I was able to fix this issue by simply updating to 4.0. Thanks for all the help.
     

Share This Page